## kwallet-kf5 5.18.0a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KWallet)
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

include(ECMSetupVersion)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/api/KWallet/CMakeLists.txt ===

include(GenerateExportHeader)
include(ECMGenerateHeaders)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWALLET
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwallet_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
                        SOVERSION 5)

remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Wallet")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5WalletConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5WalletTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WalletTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kwallet_version.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

set(HAVE_KSECRETSSERVICE 0)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/config-kwallet.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-kwallet.h
)

if(APPLE)
    option(MAC_USE_OSXKEYCHAIN "On OS X, use the keychain as backend for kwallet, instead of kwalletd.")
else()
    set(MAC_USE_OSXKEYCHAIN FALSE)
endif()

if (MAC_USE_OSXKEYCHAIN)
    FIND_LIBRARY(SECURITY_LIBRARY Security)
    set(kwallet_SRCS kwallet_mac.cpp)
else()
    set(kwallet_SRCS kwallet.cpp)
    set(kwallet_xml org.kde.KWallet.xml)
    qt5_add_dbus_interface( kwallet_SRCS ${kwallet_xml} kwallet_interface )
endif()

add_library(KF5Wallet ${kwallet_SRCS})
generate_export_header(KF5Wallet BASE_NAME KWallet)
add_library(KF5::Wallet ALIAS KF5Wallet)

target_include_directories(KF5Wallet INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KWallet>")

target_link_libraries(KF5Wallet PUBLIC  Qt5::Gui
                                PRIVATE Qt5::DBus
                                        Qt5::Widgets
                                PRIVATE KF5::WindowSystem # KWindowSystem::allowExternalProcessWindowActivation
                                        KF5::ConfigCore   # used to store the wallet to be used
)

if(MAC_USE_OSXKEYCHAIN)
   target_link_libraries(KF5Wallet PRIVATE ${CARBON_LIBRARY}
                                              ${SECURITY_LIBRARY})
elseif(APPLE)
    target_link_libraries(KF5Wallet PRIVATE ${CARBON_LIBRARY})
else()
    target_link_libraries(KF5Wallet PRIVATE Qt5::DBus)
    install(FILES ${kwallet_xml} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} RENAME kf5_org.kde.KWallet.xml)
endif()

set_target_properties(KF5Wallet PROPERTIES VERSION   ${KWALLET_VERSION_STRING}
                                         SOVERSION ${KWALLET_SOVERSION}
                                         EXPORT_NAME Wallet
)

ecm_generate_headers(KWallet_HEADERS
  HEADER_NAMES
  KWallet

  REQUIRED_HEADERS KWallet_HEADERS
)

install(TARGETS KF5Wallet EXPORT KF5WalletTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kwallet_export.h
  ${KWallet_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KWallet COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KWallet LIB_NAME KF5Wallet DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KWallet)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/runtime/kwalletd/CMakeLists.txt ===
project(kwalletd5)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)

########### find needed packages ######
find_package(Gpgme)  # Called by KF5Gpgmepp, but since we call some gpgme
                     # functions ourselves we need to link against it directly.
find_package(KF5Gpgmepp) # provided by kdepimlibs

if (KF5Gpgmepp_FOUND)
    message("GPG support enabled")
    add_definitions(-DHAVE_QGPGME)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
    include_directories(${GPGME_INCLUDES})
endif(KF5Gpgmepp_FOUND)


########### build backends #########
add_subdirectory(backend)

########### kwalletd ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=285)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

# migration agent need exceptions enabled
kde_enable_exceptions()

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWALLETD
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwalletd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
                        SOVERSION 5)

set(kwalletd_SRCS
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
   migrationagent.cpp
   migrationwizard.cpp
)

ki18n_wrap_ui(kwalletd_SRCS
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
   migrationwizard1.ui
   migrationwizard2.ui
)

if (KF5Gpgmepp_FOUND)
    set(kwalletd_SRCS
        ${kwalletd_SRCS}
        knewwalletdialog.cpp
    )
    ki18n_wrap_ui(kwalletd_SRCS
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif(KF5Gpgmepp_FOUND)

find_file(kwallet_xml org.kde.KWallet.xml HINTS ${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)

qt5_add_dbus_adaptor( kwalletd_SRCS ${kwallet_xml} kwalletd.h KWalletD )

# this is needed for the migration agent
qt5_add_dbus_interface(kwalletd_SRCS
    ../../api/KWallet/org.kde.KWallet.xml kwallet4_interface
)

configure_file(org.kde.kwalletd5.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kwalletd.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

add_executable( kwalletd5 ${kwalletd_SRCS} )

target_link_libraries(kwalletd5
    kwalletbackend5
    KF5Wallet
    Qt5::Widgets
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::IconThemes
    KF5::Service
    KF5::DBusAddons
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::Notifications)
if (KF5Gpgmepp_FOUND)
    target_link_libraries(kwalletd5 KF5::Gpgmepp )
    kde_target_enable_exceptions(kwalletd5 PRIVATE)
endif(KF5Gpgmepp_FOUND)

install(TARGETS kwalletd5  ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kwalletd5.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kwalletd.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )

## kwallet-kf5 5.3.0

=== debian/changelog ===
kwallet-kf5 (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:18:45 +0100

kwallet-kf5 (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:49:48 +0200

kwallet-kf5 (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Removed patches applied upstream. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:25:49 +0200

kwallet-kf5 (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release
  * Add patches recommended by upstream:
    - upstream_default-choice.diff
    - upstream_first-use-logic.diff
    - upstream_first-use-name.diff

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 16:07:20 +0200

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libgcrypt20-dev,
               libgpgme11-dev,
               libkf5auth-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kwallet.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev,
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf5wallet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5wallet5 (<< 4.100.0)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet5
Architecture: any
Depends: libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5wallet-bin (= ${binary:Version})
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5wallet-bin (= ${binary:Version})
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

Package: libkf5wallet5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libkf5wallet5 (= ${binary:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: debug symbols for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains debug symbols for kwallet-framework.

## kwallet-kf5 5.9.0

=== debian/changelog ===
kwallet-kf5 (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:17:04 +0200

kwallet-kf5 (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:28:48 +0100

kwallet-kf5 (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:15:47 +0100

kwallet-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:46:09 +0100

kwallet-kf5 (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:21:15 +0100

kwallet-kf5 (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                libgcrypt20-dev,
                libgpgme11-dev,
-               libkf5auth-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5notifications-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kwallet-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kwallet-(.*)\.tar\.xz

## kwallet-kf5 5.15.0

=== debian/changelog ===
kwallet-kf5 (5.15.0-0ubuntu2) wily; urgency=medium

  * Add upstream_initialize-socket-size-with-correct-value.patch to resolve a
    rather impactful error where kwalletd5, when started through the PAM,
    would fail to communicate with its environment socket and thus end up with
    a night empty environment rendering the daemon broken.
    The patch has been refreshed on top of 5.15 as git master has additional
    changes.
    https://bugs.kde.org/show_bug.cgi?id=351805

 -- Harald Sitter <sitter@kde.org>  Wed, 21 Oct 2015 07:41:12 +0200

kwallet-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:57:35 +0100

kwallet-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:27:35 +0100

kwallet-kf5 (5.13.0-0ubuntu2) wily; urgency=medium

  * Add upstream_Stop-showing-the-migration-wizard-by-default.patch to disable
    the migration wizard dialog. Migration is in fact a non-destructive
    import, so it can savely be run without any user input. This prevents
    contextless kwallet dialogs on first login as well as first kwallet5
    enabled logins (prequisite for pam unlocking experience)

 -- Harald Sitter <sitter@kde.org>  Mon, 24 Aug 2015 13:00:08 +0200

kwallet-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:33:17 +0200

kwallet-kf5 (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Update installed files.

  [ Scarlett Clark ]
  * Add above patch. 
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:10:25 +0200

kwallet-kf5 (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 20:36:24 +0200

kwallet-kf5 (5.10.0-0ubuntu2) wily; urgency=medium

  * libkf5wallet-data Breaks/Replaces libkf5wallet5 (<< 5.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 08 Jun 2015 11:06:38 +0200

kwallet-kf5 (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:38:22 +0200

kwallet-kf5 (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:09 +0200

kwallet-kf5 (5.9.0-0ubuntu1.1) vivid; urgency=medium

  * Add upstream_check-empty-wallet-migration.diff LP: #1434052

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 15:28:12 +0200

kwallet-kf5 (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:06 +0100

kwallet-kf5 (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:55 +0100

kwallet-kf5 (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Split -data package and update install files.
  * Update watch file.
  * Add acc autopkgtests.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Jan 2015 09:05:21 +0100

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kdoctools-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme11-dev,
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwallet.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.15.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.15.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf5wallet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5wallet5 (<< 4.100.0)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5wallet-bin (= ${binary:Version})
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5wallet-bin (= ${binary:Version})
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

Package: libkf5wallet5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libkf5wallet5 (= ${binary:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: debug symbols for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains debug symbols for kwallet-framework.

## kwallet-kf5 5.18.0a

=== debian/changelog ===
kwallet-kf5 (5.18.0a-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:25:16 +0100

kwallet-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:37 +0100

kwallet-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:37 +0200

kwallet-kf5 (5.15.0-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:49 +0100

kwallet-kf5 (5.14.0-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Add the libkf5wallet-bin dependency in the symbols files, to have a
    working kwallet on programs that link against libkf5wallet5.
    (Closes: #798724)

  [ Maximiliano Curia ]
  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:36 +0200

kwallet-kf5 (5.13.0-2) unstable; urgency=medium

  * Add kf5gpgmepp build dep, to build the gpg backend.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 18:33:28 +0200

kwallet-kf5 (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 10:18:37 +0200

kwallet-kf5 (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Add new build dep.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kdoctools-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               libboost-dev,
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme11-dev,
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5gpgmepp-dev (>= 15.08.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kwallet
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwallet.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git
@@ -29,9 +30,9 @@
 Package: libkf5wallet-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.15.0~),
+Depends: libkf5config-dev (>= 5.16.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.15.0~),
+         libkf5windowsystem-dev (>= 5.16.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
@@ -47,7 +48,7 @@
 Breaks: libkf5wallet5 (<< 4.100.0)
 Replaces: libkf5wallet5 (<< 4.100.0)
 Description: Secure and unified container for user passwords.
- Interface to KWallet, the safe desktop-wide storage
+ Runtime for interface to KWallet, the safe desktop-wide storage
  for passwords on KDE workspaces.
  .
  Contains the runtime files for kwallet-framework
@@ -58,7 +59,6 @@
          libkwalletbackend5-5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libkf5wallet-bin (= ${binary:Version})
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Interface to KWallet, the safe desktop-wide storage
@@ -79,7 +79,6 @@
 Package: libkwalletbackend5-5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libkf5wallet-bin (= ${binary:Version})
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Backend to KWallet, the safe desktop-wide storage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5wallet5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kwallet-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kwallet-([\d.]+)\.tar\.xz

## kwallet-kf5 5.26.0

=== debian/changelog ===
kwallet-kf5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:50:13 +0100

kwallet-kf5 (5.24.0-0ubuntu2) yakkety; urgency=medium

  * Disable tests for powerpc and s390x that fail.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 27 Jul 2016 10:54:23 +0300

kwallet-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:46:40 +0000

kwallet-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:17:58 +0200

kwallet-kf5 (5.22.0a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Don't complain about symbol dependency 

  [ Clive Johnston ]
  * New upstream release
  * Using respun tarball from KDE Depot

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:39:03 -0700

kwallet-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:28 +0100

kwallet-kf5 (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Fixing install file

 -- Clive Johnston <clivejo@aol.com>  Thu, 25 Feb 2016 19:38:34 +0000

kwallet-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,34 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kdoctools-dev (>= 5.18.0~),
-               libboost-dev,
+               extra-cmake-modules (>= 5.26.0~),
+               kdoctools-dev (>= 5.26.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme11-dev,
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5gpgmepp-dev (>= 15.08.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5configwidgets-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5gpgmepp-dev,
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5notifications-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
+               libkf5windowsystem-dev (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kwallet
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwallet.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 
 Package: libkf5wallet-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.16.0~),
+Depends: libkf5config-dev (>= 5.26.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.16.0~),
+         libkf5windowsystem-dev (>= 5.26.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
@@ -83,17 +83,3 @@
 Description: Secure and unified container for user passwords.
  Backend to KWallet, the safe desktop-wide storage
  for passwords on KDE workspaces.
-
-Package: libkf5wallet5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libkf5wallet5 (= ${binary:Version}),
-         libkwalletbackend5-5 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: debug symbols for kwallet-framework
- Interface to KWallet, the safe desktop-wide storage
- for passwords on KDE workspaces.
- .
- Contains debug symbols for kwallet-framework.

## kwallet-kf5 5.28.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KWallet)
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.28.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.5.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

set(KF5_VERSION "5.28.0") # handled by release scripts
set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMSetupVersion)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)

find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/runtime/kwalletd/backend/CMakeLists.txt ===
include(CheckIncludeFiles)
include(GenerateExportHeader)

########### Configure checks for kwalletbackend ###############

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(sys/bitypes.h HAVE_SYS_BITYPES_H)
if (Gpgmepp_FOUND OR KF5Gpgmepp_FOUND)
    add_definitions(-DHAVE_QGPGME)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
endif(Gpgmepp_FOUND OR KF5Gpgmepp_FOUND)

configure_file (config-kwalletbackend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwalletbackend.h )

########### kwalletbackend ###############
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)

find_package(LibGcrypt 1.5.0 REQUIRED)
set_package_properties(LibGcrypt PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "kwalletd needs libgcrypt to perform PBKDF2-SHA512 hashing"
                      )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../api/KWallet)
include_directories(${LIBGCRYPT_INCLUDE_DIRS})

#remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set(kwalletbackend_LIB_SRCS
   blockcipher.cc
   blowfish.cc
   cbc.cc
   sha1.cc
   kwalletentry.cc
   kwalletbackend.cc
   backendpersisthandler.cpp
)

add_library(kwalletbackend5 SHARED ${kwalletbackend_LIB_SRCS})
generate_export_header(kwalletbackend5)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWALLETBACKEND SOVERSION 5)

target_link_libraries(kwalletbackend5 Qt5::Widgets KF5::WidgetsAddons KF5::CoreAddons KF5::Notifications KF5::I18n ${LIBGCRYPT_LIBRARIES})
if(Gpgmepp_FOUND OR KF5Gpgmepp_FOUND)
   target_link_libraries(kwalletbackend5 ${GPGMEPP_LIBS})
endif(Gpgmepp_FOUND OR KF5Gpgmepp_FOUND)

# link with advapi32 on windows
if(WIN32 AND NOT WINCE)
   target_link_libraries(kwalletbackend5 advapi32)
endif(WIN32 AND NOT WINCE)

set_target_properties(kwalletbackend5 PROPERTIES VERSION ${KWALLETBACKEND_VERSION_STRING} SOVERSION ${KWALLETBACKEND_SOVERSION} )
install(TARGETS kwalletbackend5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(tests)

=== debian/changelog ===
kwallet-kf5 (5.28.0-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use unversioned libboost-dev build-dep.

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Dec 2016 18:52:52 +0100

kwallet-kf5 (5.28.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add signature verification for uscan.
  * Build against gpgme>=1.8.0, to get rid of gpgmepp.
    - Update Build-Deps (libboost1.61-dev, libgpgme-dev, libgpgmepp-dev).
    - Update symbol files (new templinst symbols).

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 Dec 2016 12:58:58 +0100

kwallet-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:36 +0100

kwallet-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:04:56 +0200

kwallet-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:20 +0200

kwallet-kf5 (5.25.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Fix previous upload
  * Bump group breaks (5.25)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 12:56:12 +0200

kwallet-kf5 (5.23.0-3) unstable; urgency=medium

  * Fix previous upload.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 17:23:18 +0200

kwallet-kf5 (5.23.0-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: blowfish_endianess.diff (Closes: 828160)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Jul 2016 17:38:44 +0200

kwallet-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.22.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 22:43:10 +0200

kwallet-kf5 (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update symbols files with the buildds logs (5.19.0-1)
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 08:57:10 +0200

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kdoctools-dev (>= 5.25.0~),
               libboost-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5config-dev (>= 5.28.0~),
               libkf5configwidgets-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.28.0~),
               libkf5doctools-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5notifications-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kwallet.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kwallet.git

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.28.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.28.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.28), libkf5khtml-dev (<< 5.28)

Package: libkf5wallet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kio (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.28)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.28), libkf5khtml5 (<< 5.28), libkf5webkit5 (<< 5.28)

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5wallet5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://download.kde.org/stable/frameworks/([\d.]+)/kwallet-([\d.]+)\.tar\.xz
